SeLoger Agency Sale
Retrieve paginated sale property listings published by a specific SeLoger agency using its numeric agency ID.
Credit cost: 2 credits per call
Authorization
ApiKeyAuth x-api-key<token>
Your API key. Include it in the x-api-key header for every request.
In: header
Query Parameters
query*string
A valid SeLoger agency ID.
Example:
18317Note: The agency ID is the numeric identifier found at the end of SeLoger agency profile URLs (e.g. https://www.seloger.com/.../agence-18317/). You can retrieve it from any SeLoger agency page.
page?number
Page number for paginating through the agency's sale listings.
Use this parameter to iterate through multiple pages when the agency has more listings than returned in a single call.
Example:
2Default
"1"Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://api.piloterr.com/v2/seloger/agency/sale?query=string"{
"count": 21,
"result": [
{
"id": "251442903",
"url": "https://www.seloger.com/annonces/achat/appartement/boulogne-billancourt-92/silly-gallieni/251442903.htm",
"type": 1,
"image": {
"alt": null,
"src": "https://v.seloger.com/s/width/800/visuels/1/4/o/b/14obdze5vc9jkjkg5xhz1m2yr4z6oofk2ls1vb2ga.jpg"
},
"price": 449000,
"surface": 60,
"rooms_count": 3,
"bedrooms_count": 2,
"locality_label": "Boulogne-Billancourt"
},
{
"id": "262053933",
"url": "https://www.seloger.com/annonces/achat/appartement/paris-13eme-75/olympiades-choisy/262053933.htm",
"type": 1,
"image": {
"alt": null,
"src": "https://v.seloger.com/s/width/800/visuels/0/f/m/a/0fma04f1ouosugxx7d77pguuyz4ohv5euyxhalgdm.jpg"
},
"price": 483000,
"surface": 94,
"rooms_count": 5,
"bedrooms_count": 3,
"locality_label": "Paris 13ème"
},
{
"id": "259336891",
"url": "https://www.seloger.com/annonces/achat/appartement/villemomble-93/carette-eglise/259336891.htm",
"type": 1,
"image": {
"alt": null,
"src": "https://v.seloger.com/s/width/800/visuels/1/j/r/v/1jrvp0kms0ie7avqh2qjb68mfev0aioo0bbgx7u0p.jpg"
},
"price": 234500,
"surface": 56,
"rooms_count": 2,
"bedrooms_count": 1,
"locality_label": "Villemomble"
},
{
"id": "259336887",
"url": "https://www.seloger.com/annonces/achat/appartement/villemomble-93/carette-eglise/259336887.htm",
"type": 1,
"image": {
"alt": null,
"src": "https://v.seloger.com/s/width/800/visuels/2/0/w/q/20wq0pw940vde6nyy5g0vkpxu7kbstneyqo7b7vzj.jpg"
},
"price": 264300,
"surface": 68,
"rooms_count": 3,
"bedrooms_count": 2,
"locality_label": "Villemomble"
}
]
}{
"error": "Bad Request"
}{
"error": "Invalid API Key"
}{
"error": "Payment required"
}{
"error": "Rate limit exceeded for the API key: quota monthly"
}{
"error": "Internal Error"
}